ome-common 5.2.0-m2

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
module.h File Reference

Module loading and introspection. More...

`#include <ome/common/config.h>`
`#include <ome/common/filesystem.h>`
Include dependency graph for module.h:

Go to the source code of this file.

## Classes
struct | ome::common::Module
| A run-time path for a given module. More...
struct | ome::common::RegisterModule
| Register a module to make it available to module_runtime_path(). More...

## Namespaces
| ome::common
| OME compatibility functions and classes.

## Functions
const fs::path & | ome::common::module_runtime_path (const std::string &dtype)
| Get the runtime installation prefix path for a module. More...
void | ome::common::register_module_paths ()
| Register OME-Common module paths. More...

## Detailed Description

Module loading and introspection.

This header defines functions for introspecting the runtime location of modules.